// DISTRIBUTION COMPONENT

// This interface is connected to the GUI component
// Provided Interface
public class HealthWatcherFacade extends java.rmi.server.UnicastRemoteObject  implements IFacade  {

	public void updateHealthUnit(HealthUnit hu) throws RepositoryException,ObjectNotFoundException, TransactionException ,java.rmi.RemoteException;

    public void updateComplaint(Complaint q) throws TransactionException, RepositoryException,ObjectNotFoundException,ObjectNotValidException {

	public IteratorDsk searchSpecialitiesByHealthUnit(int code) throws ObjectNotFoundException, RepositoryException,TransactionException ,java.rmi.RemoteException{

	public Complaint searchComplaint(int code) throws RepositoryException, ObjectNotFoundException, TransactionException ,java.rmi.RemoteException{

	public DiseaseType searchDiseaseType(int code) throws RepositoryException, ObjectNotFoundException,TransactionException,java.rmi.RemoteException {

	public IteratorDsk searchHealthUnitsBySpeciality(int code) throws ObjectNotFoundException, RepositoryException,TransactionException,java.rmi.RemoteException {

    public IteratorDsk getSpecialityList() throws RepositoryException, ObjectNotFoundException,TransactionException ,java.rmi.RemoteException{

    public IteratorDsk getDiseaseTypeList() throws RepositoryException, ObjectNotFoundException, TransactionException,java.rmi.RemoteException {

    public HealthUnit searchHealthUnit(int healthUnitCode) throws ObjectNotFoundException,RepositoryException {

    public IteratorDsk getHealthUnitList() throws RepositoryException, ObjectNotFoundException,TransactionException ,java.rmi.RemoteException {
    
    public IteratorDsk getPartialHealthUnitList() throws RepositoryException, ObjectNotFoundException, TransactionException ,java.rmi.RemoteException {

    public int insertComplaint(Complaint complaint) throws RepositoryException, ObjectAlreadyInsertedException, ObjectNotValidException, TransactionException ,java.rmi.RemoteException{

    public Employee searchEmployee(String login) throws ObjectNotFoundException, TransactionException{

	public IteratorDsk getComplaintList() throws ObjectNotFoundException, TransactionException {

	public void insert(Employee employee) throws ObjectAlreadyInsertedException, ObjectNotValidException,InsertEntryException,TransactionException {

	public void updateEmployee(Employee employee) throws TransactionException, RepositoryException,ObjectNotFoundException, ObjectNotValidException,UpdateEntryException{

}


//Provided Interface
// Connected to GUI Component
public interface Init {
	public Remote lookup(String arg0) throws RemoteException, NotBoundException, MalformedURLException;
}


// Required Interface
// Connect to Business Component
public class HealthWatcherFacade extends java.rmi.server.UnicastRemoteObject  implements IFacade  {

	public void updateHealthUnit(HealthUnit hu) throws RepositoryException,ObjectNotFoundException, TransactionException ,java.rmi.RemoteException;

    public void updateComplaint(Complaint q) throws TransactionException, RepositoryException,ObjectNotFoundException,ObjectNotValidException {

	public IteratorDsk searchSpecialitiesByHealthUnit(int code) throws ObjectNotFoundException, RepositoryException,TransactionException ,java.rmi.RemoteException{

	public Complaint searchComplaint(int code) throws RepositoryException, ObjectNotFoundException, TransactionException ,java.rmi.RemoteException{

	public DiseaseType searchDiseaseType(int code) throws RepositoryException, ObjectNotFoundException,TransactionException,java.rmi.RemoteException {

	public IteratorDsk searchHealthUnitsBySpeciality(int code) throws ObjectNotFoundException, RepositoryException,TransactionException,java.rmi.RemoteException {

    public IteratorDsk getSpecialityList() throws RepositoryException, ObjectNotFoundException,TransactionException ,java.rmi.RemoteException{

    public IteratorDsk getDiseaseTypeList() throws RepositoryException, ObjectNotFoundException, TransactionException,java.rmi.RemoteException {

    public HealthUnit searchHealthUnit(int healthUnitCode) throws ObjectNotFoundException,RepositoryException {

    public IteratorDsk getHealthUnitList() throws RepositoryException, ObjectNotFoundException,TransactionException ,java.rmi.RemoteException {
    
    public IteratorDsk getPartialHealthUnitList() throws RepositoryException, ObjectNotFoundException, TransactionException ,java.rmi.RemoteException {

    public int insertComplaint(Complaint complaint) throws RepositoryException, ObjectAlreadyInsertedException, ObjectNotValidException, TransactionException ,java.rmi.RemoteException{

    public Employee searchEmployee(String login) throws ObjectNotFoundException, TransactionException{

	public IteratorDsk getComplaintList() throws ObjectNotFoundException, TransactionException {

	public void insert(Employee employee) throws ObjectAlreadyInsertedException, ObjectNotValidException,InsertEntryException,TransactionException {

	public void updateEmployee(Employee employee) throws TransactionException, RepositoryException,ObjectNotFoundException, ObjectNotValidException,UpdateEntryException{

}